

import * as React from "react";
import * as Moment from "moment";
import * as UserEntry$ReasonReactExamples from "../UserEntry/UserEntry.bs.js";
import * as DatePicker$ReasonReactExamples from "../DatePicker/DatePicker.bs.js";

function Container(Props) {
  var match = React.useReducer((function (param, action) {
          return {
                  date: action._0
                };
        }), {
        date: Moment()
      });
  var state = match[0];
  return React.createElement("div", {
              className: "flex one"
            }, React.createElement(DatePicker$ReasonReactExamples.make, {
                  currentDate: state.date,
                  updateDate: match[1]
                }), React.createElement("ol", undefined, React.createElement(UserEntry$ReasonReactExamples.make, {
                      name: "a_mae_zing",
                      currentDate: state.date
                    }), React.createElement(UserEntry$ReasonReactExamples.make, {
                      name: "Anthony",
                      currentDate: state.date
                    })));
}

var make = Container;

export {
  make ,
  
}
/* react Not a pure module */
